package org.logical_paradox.koike.tools.console;

import java.io.PrintWriter;

import javax.swing.JButton;
import javax.swing.JTextField;

/**
 * ApplicationPack
 * アプリケーション固有の処理を行なうためのパッケージ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision$
 */
public class ApplicationPack {
	/** ログ出力先 */
	private PrintWriter pw = null;
	/** ログ表示領域 */
	private SimpleConsoleJTextPane jtp = null;

	/**
	 * コンストラクタ．
	 */
	public ApplicationPack() {
	}
	/**
	 * ログ出力ライターを設定する．
	 * @return ログ出力ライター
	 */
	public void setWriter(PrintWriter writer) {
		pw = writer;
	}
	/**
	 * ログ出力ライターを取得する．
	 * @return ログ出力ライター
	 */
	public PrintWriter getWriter() {
		return pw;
	}
	/**
	 * ログ表示領域を設定する．
	 * @param p ログ表示領域
	 */
	public void setJTextPane(SimpleConsoleJTextPane p) {
		jtp = p;
	}
	/**
	 * ログ表示ウィンドウを消去する．
	 */
	public void cleanLogView() {
		jtp.clean();
	}
	/**
	 * アプリケーション初期化．
	 * @param Exception 処理されなかった例外
	 */
	public void init() throws Exception {
	}
	/**
	 * テキストフィールドに何か入力された場合のイベント．
	 * @param jtf テキストフィールド．
	 * @throws Exception 処理中に発生した例外
	 */
	public void cbTextField(JTextField jtf) throws Exception {
	}
	/**
	 * ボタンがクリックされた場合のイベント．
	 * @param btn ボタンアイテム
	 * @throws Exception 処理中に発生した例外
	 */
	public void cbButton(JButton btn) throws Exception {
	}
	/**
	 * アプリケーション終了処理．
	 * @throws Exception 処理中に発生した例外
	 */
	public void destroy() throws Exception {
	}
}

// end of ApplicationPack.java
